POST
/
api
/
v1
/
admin
/
simulation
/
task-template-presets
/
resync-realism
Resync Task Template Realism Contracts
curl --request POST \
  --url https://api.jobsim.work/api/v1/admin/simulation/task-template-presets/resync-realism \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_id
string | null
overwrite_existing
boolean
default:true

When true, update task fields from preset templates.

include_missing
boolean
default:false

When true, create missing preset tasks; when false, only update tasks that already exist.

include_scenario_tasks
boolean
default:true

When true, also resync scenario task templates resolved from scenario_character_ids.

Response

Successful Response